#ifndef CCTRLGRAPH_WORKTABLE_H
#define CCTRLGRAPH_WORKTABLE_H


#include "cctrlgraphopengl.h"
class CTRLS_GRAPH_EXPORT CCtrlGraph_WorkTable : public CCtrlGraphOpenGL
{
    Q_OBJECT
public:
    enum _CHSHAPE
    {
        CH_RECT,
        CH_CIRCLE,
        CH_TRIANGLE,
		CH_TRIANGLE_CLIP,
    };
    explicit CCtrlGraph_WorkTable(QWidget *parent = 0);
    int m_iShapeSize;
    void DrawString(QPainter& painter, QString &msg, enum Qt::GlobalColor ecolor=Qt::darkBlue);

    void DrawPoint(QPointF pt, int32_t chshape, QString &chname, Qt::GlobalColor ecolor, QPainter &painter);

    void DrawCurPoint(QPointF pt, QPainter &painter);
    QPointF MPT_mmToQPT_mm(const CMPointd &pt);

    virtual void DrawChannel(int32_t iChid,int32_t chshape,const char* chname,enum Qt::GlobalColor ecolor,QPainter& painter);

};

#endif // CCTRLGRAPH_WORKTABLE_H
